<template>
  <section>
    <div class="container">
      <div class="row">
                <div class="shadow-lg col-12 mt-4 p-3 mb-5 bg-white rounded">
                <div class="float-left">
                    <a href="javascript:window.history.go(-1);"><i class="material-icons">arrow_back_ios</i> Regresar</a>
                </div>
                    <h2 class="text-center">Calificaciones</h2>
                </div>
      </div>
            <div class="alert alert-danger" role="alert" v-if="aspirants.length === 0">
                <h2 class="lead">No se cuenta con Aspirantes registrados</h2>
            </div>
      <div class="row shadow" style="border-radius: 5px">
        <table class="table table-hover table-borderless">
          <thead>
            <tr style="background-color: #019979">
              <th scope="col" class="text-white">#</th>
              <th scope="col" class="text-white">ALUMNO</th>
              <th scope="col" class="text-white">CALIFICACIÓN</th>
            </tr>
          </thead>
          <tbody>
            <tr v-for="aspirant in aspirants" :key="aspirant.id">
              <th scope="row">{{aspirant.id}}</th>
              <td>{{aspirant.nombre}} {{aspirant.primerApellido}} {{aspirant.segundoApellido}}</td>
              <td>
                <div class="col-md-4">
                  <input
                    type="number"
                    class="form-control form-control-sm"
                    placeholder="Ej. 8"
                    maxlength="2"
                    minlength="1"
                  />
                </div>
              </td>
            </tr>
            <tr>
              <td></td>
              <td></td>
              <td>
                <div class="col-sm-4">
                  <button class="btn btn-sm btn-primary btn-block">
                    <i class="material-icons">save</i>
                  </button>
                </div>
              </td>
            </tr>
          </tbody>
        </table>
      </div>
    </div>
  </section>
</template>

<style scoped>
a{
    color: white;
}
</style>

<script>
import axios from "axios";
import { server } from "../../store";

export default {
  data() {
    return {
      aspirants: []
    };
  },
  created() {
    this.getNameAspirants();
  },
  methods: {
    getNameAspirants() {
      axios
        .get(`${server.baseURL}/api/aspirantse/lista`)
        .then(data => (this.aspirants = data.data));
    }
  }
};
</script>

<style scoped>
.table .table-hover .table-sm {
  border-radius: 40px;
}
</style>